predict.elnet.madlib {PivotalR} | R Documentation

## Predict using the regression result of elastic net regularization

### Description

Prediction from models fit by `madlib.elnet`

### Usage

    ## S3 method for class 'elnet.madlib'
    predict(object, newdata, type = c("response", "prob"), ...)

### Arguments

`object` | The result of `madlib.elnet`
`newdata` | A `db.obj` object, which wraps the data in the database.
`type` | A string, default is "response". The other option is "prob". The prediction for "gaussian"/"linear" family of `madlib.elnet` result is always for the dependent variable. The prediction for "binomial"/"logistic" family is `TRUE/FALSE` values for "response", and probabilities of `TRUE` for "prob".
`...` | Extra parameters. Not implemented yet.

### Value

A `db.Rquery` object, which contains the SQL query to compute the prediction. One can use the function `lk` to look at the values.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`madlib.elnet` Wrapper for MADlib elastic net regularization.

`predict.lm.madlib` and `predict.logregr.madlib` produce predictions for linear and logistic models.

### Examples

    ## see the examples in madlib.elnet

[Package PivotalR version 0.1.18.3.1 Index]